Closed Bug 516372 Opened 10 years ago Closed 10 years ago

random failure in test_bug322588.html | unexpected events - got " unload", expected " unload load"

Categories

(Core :: DOM: Events, defect)

defect
Not set

Tracking

()

RESOLVED FIXED
mozilla1.9.3a1

People

(Reporter: mak, Assigned: Natch)

References

Details

(Keywords: intermittent-failure)

Attachments

(1 file)

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1252904275.1252906241.1595.gz
Linux mozilla-central test mochitests on 2009/09/13 21:57:55

18931 INFO Running /tests/content/events/test/test_bug322588.html...
18932 ERROR TEST-UNEXPECTED-FAIL | /tests/content/events/test/test_bug322588.html | unexpected events - got " unload", expected " unload load"
Whiteboard: [orange]
OS X 10.5.2 mozilla-central test debug mochitests-1/5 on 2009/10/22 14:58:06  
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256248686.1256250386.15572.gz#err15
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256317429.1256319629.15833.gz
WINNT 5.2 mozilla-central test debug mochitests-1/5 on 2009/10/23 10:03:49  
29713 ERROR TEST-UNEXPECTED-FAIL | /tests/content/events/test/test_bug322588.html | unexpected events - got "", expected " unload load"
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256466706.1256468162.9264.gz
Linux mozilla-central test debug mochitests-1/5 on 2009/10/25 03:31:46  
29673 ERROR TEST-UNEXPECTED-FAIL | /tests/content/events/test/test_bug322588.html | unexpected events - got "", expected " unload load"
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256493791.1256494770.5411.gz
WINNT 5.2 mozilla-central test debug mochitests-1/5 on 2009/10/25 11:03:11
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256494921.1256496253.22175.gz
WINNT 5.2 mozilla-central test debug mochitests-1/5 on 2009/10/25 11:22:01
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256542852.1256544583.23084.gz
Linux mozilla-central test debug mochitests-1/5 on 2009/10/26 00:40:52
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256582901.1256584926.10835.gz
WINNT 5.2 mozilla-central test debug mochitests-1/5 on 2009/10/26 11:48:21
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256589850.1256591457.18741.gz
Linux mozilla-central test debug mochitests-1/5 on 2009/10/26 13:44:10
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256595430.1256596919.15558.gz
Linux mozilla-central test debug mochitests-1/5 on 2009/10/26 15:17:10
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256611843.1256613361.969.gz
Linux mozilla-central test debug mochitests-1/5 on 2009/10/26 19:50:43
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256640773.1256642067.26269.gz
WINNT 5.2 mozilla-central test debug mochitests-1/5 on 2009/10/27 03:52:53
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256663596.1256665095.10374.gz
Linux mozilla-central test debug mochitests-1/5 on 2009/10/27 10:13:16
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256665204.1256666283.23623.gz
WINNT 5.2 mozilla-central test debug mochitests-1/5 on 2009/10/27 10:40:04
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256767246.1256769825.2292.gz
Linux mozilla-central test debug mochitests-1/5 on 2009/10/28 15:00:46
Attached patch patchSplinter Review
This should do it.

1) Register listeners before the "unload" event may have happened.

2) Set the timeout after we already have the load event, in case the timeout comes too soon.
Assignee: nobody → highmind63
Attachment #409271 - Flags: review?(matspal)
Comment on attachment 409271 [details] [diff] [review]
patch

r=mats
Attachment #409271 - Flags: review?(matspal) → review+
Keywords: checkin-needed
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256926080.1256927517.24632.gz&fulltext=1
Linux mozilla-central test debug mochitests-1/5 on 2009/10/30 11:08:00
http://hg.mozilla.org/mozilla-central/rev/cbb51a5df51d

I'll let you decide when and whether it's fixed ;)
Keywords: checkin-needed
How about we just mark it fixed for now, and if there are more reports, reopen.
Status: NEW → RESOLVED
Closed: 10 years ago
Resolution: --- → FIXED
Flags: in-testsuite+
Target Milestone: --- → mozilla1.9.3a1
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.